com.fasterxml.jackson.databind.jsonFormatVisitors

## Class JsonObjectFormatVisitor.Base

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base

All Implemented Interfaces:
  JsonFormatVisitorWithSerializerProvider, JsonObjectFormatVisitor

Enclosing interface:
  JsonObjectFormatVisitor

    public static class JsonObjectFormatVisitor.Base
    extends Object
    implements JsonObjectFormatVisitor

Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor

`JsonObjectFormatVisitor.Base`

### Field Summary

Fields
`protected SerializerProvider` `_provider`

### Constructor Summary

Constructors
Constructor and Description
`JsonObjectFormatVisitor.Base()`
`JsonObjectFormatVisitor.Base(SerializerProvider p)`

### Method Summary

Methods
`SerializerProvider` `getProvider()`
`void` `optionalProperty(BeanProperty writer)`
`void` `optionalProperty(String name)` Deprecated.
`void` `optionalProperty(String name, JsonFormatVisitable handler, JavaType propertyTypeHint)`
`void` `property(BeanProperty writer)`
`void` `property(String name)` Deprecated.
`void` `property(String name, JsonFormatVisitable handler, JavaType propertyTypeHint)`
`void` `setProvider(SerializerProvider p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _provider

    protected SerializerProvider _provider

### Constructor Detail

#### JsonObjectFormatVisitor.Base

    public JsonObjectFormatVisitor.Base()

#### JsonObjectFormatVisitor.Base

    public JsonObjectFormatVisitor.Base(SerializerProvider p)

### Method Detail

#### getProvider

    public SerializerProvider getProvider()

Specified by:
  `getProvider` in interface `JsonFormatVisitorWithSerializerProvider`

#### setProvider

    public void setProvider(SerializerProvider p)

Specified by:
  `setProvider` in interface `JsonFormatVisitorWithSerializerProvider`

#### property

    public void property(BeanProperty writer)
                  throws JsonMappingException

Specified by:
  `property` in interface `JsonObjectFormatVisitor`
Throws:
  `JsonMappingException`

#### property

    public void property(String name,
                JsonFormatVisitable handler,
                JavaType propertyTypeHint)
                  throws JsonMappingException

Specified by:
  `property` in interface `JsonObjectFormatVisitor`
Throws:
  `JsonMappingException`

#### property

    @Deprecated
    public void property(String name)
                  throws JsonMappingException

Deprecated.

Specified by:
  `property` in interface `JsonObjectFormatVisitor`
Throws:
  `JsonMappingException`

#### optionalProperty

    public void optionalProperty(BeanProperty writer)
                          throws JsonMappingException

Specified by:
  `optionalProperty` in interface `JsonObjectFormatVisitor`
Throws:
  `JsonMappingException`

#### optionalProperty

    public void optionalProperty(String name,
                        JsonFormatVisitable handler,
                        JavaType propertyTypeHint)
                          throws JsonMappingException

Specified by:
  `optionalProperty` in interface `JsonObjectFormatVisitor`
Throws:
  `JsonMappingException`

#### optionalProperty

    @Deprecated
    public void optionalProperty(String name)
                          throws JsonMappingException

Deprecated.

Specified by:
  `optionalProperty` in interface `JsonObjectFormatVisitor`
Throws:
  `JsonMappingException`